//
//  KeyboardAvoidingScrollView.h
//  Fabiji
//
//  Based on TPKeyboardAvoidingScrollView created by Michael Tyson.
//  http://github.com/michaeltyson/TPKeyboardAvoiding
//
//  Created by Zhao He on 13/02/12.
//  Copyright (c) 2012 Media Computing Group, RWTH Aachen University. All rights reserved.
//


//
// Avoid keyboard covering UITextField or UITextView
//
@interface KeyboardAvoidingScrollView : UIScrollView 
{
    UIEdgeInsets    _priorInset;
    BOOL            _priorInsetSaved;
    BOOL            _keyboardVisible;
    CGRect          _keyboardRect;
    CGSize          _originalContentSize;
}

- (void)adjustOffsetToIdealIfNeeded;
@end
