//
//  UIView+ViewController.m
//  Fabiji
//
//  Created by Zhao He on 3/9/12.
//  Copyright (c) 2012 Media Computing Group, RWTH Aachen University. All rights reserved.
//

#import "UIView+ViewController.h"

@implementation UIView (ViewController)

// Find the viewController of a view based on nextResponder
- (UIViewController*)viewController
{
    for (UIView *next = self; next; next = next.superview) 
    {
        UIResponder *nextResponder = [next nextResponder];
        if ([nextResponder isKindOfClass:[UIViewController class]])
        {
            return (UIViewController *)nextResponder;
        }
    }
    return nil;
}

@end
